Main Page Widgets Namespaces Book

# Glib::ValueBase_String Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_String:

[legend]
List of all members.

## Public Types
typedef const gchar* | CType
## Static Public Methods
GType | value_type () G_GNUC_CONST
## Protected Methods
void | set_cstring (const char* data)
const char* | get_cstring () const

## Member Typedef Documentation

typedef const gchar* Glib::ValueBase_String::CType

## Member Function Documentation

const char* Glib::ValueBase_String::get_cstring | ( |  | ) | `[protected]`

void Glib::ValueBase_String::set_cstring | ( | const char* | data | ) | `[protected]`

GType Glib::ValueBase_String::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glib/glibmm/value.h